namespace Indotalent.ConfigBackEnd.Exceptions;

public class MismatchException : Exception
{
    public MismatchException()
        : base()
    {
    }

    public MismatchException(string message)
        : base(message)
    {
    }

    public MismatchException(string message, Exception innerException)
        : base(message, innerException)
    {
    }

    public MismatchException(string name, object expected, object actual)
        : base($"Mismatch detected for \"{name}\". Expected: {expected}, but received: {actual}.")
    {
    }
}